package org.ow2.jasmine.monitoring.eos.datamanagement.service;


import org.apache.felix.ipojo.annotations.Component;
import org.apache.felix.ipojo.annotations.Instantiate;
import org.apache.felix.ipojo.annotations.Invalidate;
import org.apache.felix.ipojo.annotations.Provides;
import org.apache.felix.ipojo.annotations.ServiceProperty;
import org.apache.felix.ipojo.annotations.Validate;
import org.ow2.kerneos.core.service.KerneosAsynchronousService;
import org.ow2.util.log.Log;
import org.ow2.util.log.LogFactory;


@Component
@Instantiate
@Provides
public class AsyncService implements KerneosAsynchronousService {
    private static final Log logger = LogFactory.getLog(AsyncService.class);

    @ServiceProperty(name = KerneosAsynchronousService.ID, value = "asynchDatamanagementService")
    private String id;

    @ServiceProperty(name = KerneosAsynchronousService.TYPE, value = Type.JMS)
    private String type;

    @ServiceProperty(name = "destination-type", value = "Topic")
    private String destinationType;

    @ServiceProperty(name = "connection-factory", value = "JTCF")
    private String connectionFactory;

    @ServiceProperty(name = "destination-jndi-name", value = "jasminePurgeTask")
    private String destinationJndiName;

    @ServiceProperty(name = "acknowledge-mode", value = "AUTO_ACKNOWLEDGE")
    private String acknowledgeMode;

    @ServiceProperty(name = "transacted-sessions", value = "false")
    private String transactedSessions;


    /**
     * Start
     */
    @Validate
    private void start() {
        logger.info("Start dataManagement AsyncService");
    }

    /**
     * Stop
     */
    @Invalidate
    private void stop() {
        logger.info("Stop dataManagement AsyncService");
    }
}
